Skip to main content
GET
/
portfolios
/
{portfolioId}
/
snapshots
cURL
curl --request GET \
  --url https://lighthouse.one/v1/api/portfolios/{portfolioId}/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "01JSGMSKSS5RBJ976GR1PTZ3V3",
      "usdValue": 2831363,
      "timestamp": "2025-04-23T07:57:30.760Z",
      "comments": [
        {
          "author": "Warren Nakamoto",
          "timestamp": "2026-02-05T11:55:37.383+00:00",
          "content": "LP deposit Q1 in USDC on Main account"
        }
      ]
    },
    {
      "id": "01JSEBE0WAGS270QMW1S0YWVJZ",
      "usdValue": 2654206.8,
      "timestamp": "2025-04-22T08:57:32.664Z"
    },
    {
      "id": "01JSCYJFE9J4AH5QSHVWTS8C4P",
      "usdValue": 2601602.5,
      "timestamp": "2025-04-21T19:53:21.813Z"
    }
  ],
  "meta": {
    "total": 3,
    "perPage": 10,
    "currentPage": 1,
    "lastPage": 1,
    "firstPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

portfolioId
string
required

A unique identifier for the portfolio used to load snapshots. The portfolioId can be obtained from the Lighthouse API keys settings.

Query Parameters

page
number
default:1
limit
number
default:20
includeComments
boolean
default:false

When set to true, each snapshot in the response will include a comments array (if any comments exist for that snapshot).

Response

200 - application/json

Snapshots response

data
object[]